extends MeshInstance3D

var material: ShaderMaterial
var noise: FastNoiseLite = preload("res://mat/watershader.tres::FastNoiseLite_gokfr")

var noise_UVscale:Vector2
var wave_speed:float
var height_scale:float

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	material = mesh.surface_get_material(0)
	if material:
		noise_UVscale = material.get_shader_parameter("RippleTimeScale")
		print(noise_UVscale)
		FastNoiseLite


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
